%global _empty_manifest_terminate_build 0
Name:		python-argparse-manpage
Version:	4.3
Release:	1
Summary:	Build manual page from python's ArgumentParser object.
License:	Apache-2.0
URL:		https://github.com/praiskup/argparse-manpage
Source0:	https://files.pythonhosted.org/packages/d3/5f/3353e1dd33fcb3801cfe7e6412ad9d75202fc642679d105015e361aceef7/argparse-manpage-4.3.tar.gz
BuildArch:	noarch

%description
Automatically build manpage from argparse

%package -n python3-argparse-manpage
Summary:	Build manual page from python's ArgumentParser object.
Provides:	python-argparse-manpage = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-tomli
BuildRequires:	python3-toml
%description -n python3-argparse-manpage
Automatically build manpage from argparse

%package help
Summary:	Development documents and examples for argparse-manpage
Provides:	python3-argparse-manpage-doc
%description help
Automatically build manpage from argparse

%prep
%autosetup -n argparse-manpage-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-argparse-manpage -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sun Jun 25 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 4.3-1
- Update package to version 4.3

* Fri Apr 28 2023 wubijie <wubijie@kylinos.cn> - 4.1-1
- Update package to version 4.1

* Tue Nov 01 2022 wangjunqi <wangjunqi@kylinos.cn> - 4-1
- Update package to version 4

* Thu Jan 27 2022 SimpleUpdate Robot <tc@openeuler.org> - 2.1
- Upgrade to version 2.1

* Mon Jul 06 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
